<?php

/**
 * @link              https://focuskeywordfinder.com
 * @since             1.0.0
 * @package           Focus_Keyword_Finder
 *
 * @wordpress-plugin
 * Plugin Name:       Focus Keyword Finder
 * Plugin URI:        https://focuskeywordfinder.com
 * Description:       This is the official Wordpress plugin for Focus Keyword Finder
 * Version:           1.0.0
 * Author:            Focus Keyword Finder
 * Author URI:        https://focuskeywordfinder.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       focus-keyword-finder
 * Domain Path:       /languages
 */

if (! defined('WPINC')) {
    die;
}

define('FOCUS_KEYWORD_FINDER_VERSION', '1.0.0');

function activate_focus_keyword_finder()
{
    require_once plugin_dir_path(__FILE__) . 'includes/class-focus-keyword-finder-activator.php';
    Focus_Keyword_Finder_Activator::activate();
}

function deactivate_focus_keyword_finder()
{
    require_once plugin_dir_path(__FILE__) . 'includes/class-focus-keyword-finder-deactivator.php';
    Focus_Keyword_Finder_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_focus_keyword_finder');
register_deactivation_hook(__FILE__, 'deactivate_focus_keyword_finder');

require plugin_dir_path(__FILE__) . 'includes/class-focus-keyword-finder.php';

function run_focus_keyword_finder()
{

    $plugin = new Focus_Keyword_Finder();
    $plugin->run();

}
run_focus_keyword_finder();
